Model Variables

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • model

  • model_count

  • modelExists

  • variable

  • variable_count

  • variableExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • variable_id

  • model_type

  • model_id

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • variable_id

  • model_type

  • model_id

Authorizations
Query parameters
filter[variable_id]stringOptional

Filter results by variable_id.

filter[model_type]stringOptional

Filter results by model_type.

filter[model_id]stringOptional

Filter results by model_id.

includestringOptional

Comma-separated list of relationships to include. Available: model, variable

sortstringOptional

Sort field. Prefix with - for descending. Available: variable_id, model_type, model_id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/model-variables

Store

post

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

variable_id

alias

string

configurable

required

advanced

model_type

string

model_id

Authorizations
Body
variable_idstringRequired
aliasstring · nullableOptional
configurablestringOptional
requiredstringOptional
advancedstringOptional
model_typestringRequired
model_idstringRequired
Responses
chevron-right
200

Successful response

application/json
post
/api/v1/model-variables

Show

get

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • model

  • model_count

  • modelExists

  • variable

  • variable_count

  • variableExists

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • variable_id

  • model_type

  • model_id

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • variable_id

  • model_type

  • model_id

Authorizations
Path parameters
model_variablestringRequired

The model variable identifier.

Query parameters
filter[variable_id]stringOptional

Filter results by variable_id.

filter[model_type]stringOptional

Filter results by model_type.

filter[model_id]stringOptional

Filter results by model_id.

includestringOptional

Comma-separated list of relationships to include. Available: model, variable

sortstringOptional

Sort field. Prefix with - for descending. Available: variable_id, model_type, model_id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/model-variables/{model_variable}

Update

put

Validation Rules

These are the basic validation rules for the request. More detailed validation may apply depending on the data being sent. Please see the response for any extra requirements

Field
Type
Required

alias

string

configurable

required

advanced

Authorizations
Path parameters
model_variablestringRequired

The model variable identifier.

Body
aliasstring · nullableOptional
configurablestringOptional
requiredstringOptional
advancedstringOptional
Responses
chevron-right
200

Successful response

application/json
put
/api/v1/model-variables/{model_variable}

Destroy

delete

Delete a model variable.

Authorizations
Path parameters
model_variablestringRequired

The model variable identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/model-variables/{model_variable}

Last updated

Was this helpful?